twitter4j.auth

## Class NullAuthorization

- java.lang.Object
- - twitter4j.auth.NullAuthorization

All Implemented Interfaces:
  Serializable, Authorization

    public class NullAuthorization
    extends Object
    implements Authorization, Serializable

An interface represents credentials.

Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getAuthorizationHeader(HttpRequest req)`
`static NullAuthorization` `getInstance()`
`boolean` `isEnabled()` Returns true if authorization credentials are set.
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static NullAuthorization getInstance()

#### getAuthorizationHeader

    public String getAuthorizationHeader(HttpRequest req)

Specified by:
  `getAuthorizationHeader` in interface `Authorization`

#### isEnabled

    public boolean isEnabled()

Description copied from interface: `Authorization`
Returns true if authorization credentials are set.

Specified by:
  `isEnabled` in interface `Authorization`
Returns:
  true if authorization credentials are set

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`